Subject: RE: Q: EAP Message Format

From: [email-masked]
Date: Mon, 11 Aug 2003 00:09:21 -0400

Oops.

After submitting -09, I'm cleaning up my files and discovered that this 
change never made it to the issue tracker and never made it to the draft. 
The one word change s/types/codes/ fixes a typo. I've put it in my source 
so if there is another revision it will get in. If there isn't, I doubt it 
will be the most dire typo that sneaks through.

Sorry.

        --Charlie

Gregory Lebovitz <[email-masked]> wrote on 07/14/2003 03:13:41 PM:
> so, Francis and Charlie, will your suggested change to the text be made 
in
> the -09?
> 
> > -----Original Message-----
> > From: Francis Dupont [mailto:[email-masked]]
> > Sent: Wednesday, July 09, 2003 1:13 AM
> > To: Ricky Charlet
> > Cc: ipsec mailingList
> > Subject: Re: Q: EAP Message Format 
> > 
> > 
> >  In your previous mail you wrote:
> > 
> >       So, as currently specified in draft-08, the length 
> > field of the EAP 
> >    message format may be either 2 or 4 bytes depending upon the type.
> > 
> > => no, the text in the draft is buggy but is simpler than 
> > your proposal.
> > Current text is:
> > 
> >    o  Type (one octet) is present only if the Code field is Request
> >       (1) or Response (2). For other types, the EAP message length
> >       MUST be four octets and the Type and Type_Data fields MUST NOT
> >       be present. ...
> > 
> > The fixed text should be:
> > 
> >    o  Type (one octet) is present only if the Code field is Request
> >       (1) or Response (2). For other codes, the EAP message length
> >                                      ^^^^^
> >       MUST be four octets and the Type and Type_Data fields MUST NOT
> >       be present. ...
> > 
> > So if the code is not Request or Response the length field 
> > *value* is 4
> > and there is nothing after the length field.
> > 
> > Regards
> > 
> > [email-masked]
> >